#!/bin/sh

cd /var/www/html/services

create_md5()
{
	echo $1;
	md5sum $1 > $1.md5
	chmod 644 $1.md5
}

if [ $# -gt 0 ]; then
	echo "Creating MD5 Sums for services $1";

	if [ ! -s $1 ]; then
		pwd
		echo "cannot find $1";
		exit 1;		
	fi

	create_md5 $1
	exit 0;
fi

echo "";
echo "";
echo "Creating MD5 Sums for services packs";

for i in `ls services*.tar.gz`; do
{
	create_md5 $i
};
done;

exit 0;
